//
//  RootViewController.m
//  ImageLoaderSingleton
//
//  Created by Benny Sheerin on 7/02/12.
//  Copyright (c) 2012 bennythemink. All rights reserved.
//  www.bennythemink.com
//

#import "RootViewController.h"

#define kLogoUrlString @"http://bennythemink.com/img/background/floating/logo.png"
#define kMeUrlString @"http://bennythemink.com/img/background/floating/me.png"

@implementation RootViewController

@synthesize topLeftImageView, topLeftActivityIndicator;
@synthesize topRightImageView, topRightActivityIndicator;
@synthesize bottomImageView, bottomActivityIndicator;
@synthesize fetchBtn;

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction) fetchImage:(id)sender {
    
    self.topLeftImageView.image = nil;
    self.topRightImageView.image = nil;
    self.bottomImageView.image = nil;
    
    [self.topLeftActivityIndicator startAnimating];
    [self.topRightActivityIndicator startAnimating];
    [self.bottomActivityIndicator startAnimating];
    
    [[ImageLoader sharedImageLoader] loadImageWithUrlString:kLogoUrlString withDelegate:self daysToCache:2];
    [[ImageLoader sharedImageLoader] loadImageWithUrlString:kMeUrlString withDelegate:self daysToCache:2];
    [[ImageLoader sharedImageLoader] loadImageWithUrlString:kLogoUrlString withDelegate:self daysToCache:2];
    
    //[self.fetchBtn setEnabled:false];
}

#pragma mark - ImageLoader Delegate Methods

- (void) didLoadImage:(UIImage *)image forUrlString:(NSString *)urlString {
    
    if ([urlString isEqualToString:kLogoUrlString]) {
        [self.topLeftImageView setImage:image];
        [self.bottomImageView setImage:image];
        [self.topLeftActivityIndicator stopAnimating];
        [self.bottomActivityIndicator stopAnimating];
    }
    else if ([urlString isEqualToString:kMeUrlString]) {
        [self.topRightImageView setImage:image];
        [self.topRightActivityIndicator stopAnimating];
    }
    
    //[self.fetchBtn setEnabled:true];
}

- (void) didFailLoadImageForUrlString:(NSString *)urlString withMessage:(NSString *)message {
    [[[UIAlertView alloc] initWithTitle:@"Warning" message:message delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil, nil] show];
}

@end
