# **Image Loader Singelton**

A singleton class that loads remote images and caches them locally for faster retrieval if the same image is called for again.

In your code you pass the singleton a URL string. It first checks if the image at that URL has already been downloaded. If it has it simply returns it from disk, otherwise it downloads it, saves it to disk and records the fact in its own SQLite database.

You can also tell the class how long you want it to cache the image for once it is downloaded. I found this handy in situations where the downloaded image is unlikely to change frequently.


**How To:**

    [[ImageLoader sharedImageLoader] loadImageWithUrlString:@"http://www.example.com/url/to/image.png" withDelegate:self daysToCache:2];

Then simply implement the delegate method to be notified each time the class returns an image and which URL string the image was retrieved from.

- (void) didLoadImage:(UIImage *)image forUrlString:(NSString *)urlString {}



**Licence**

MIT Licence with a little love for my by keeping my name in the meta data.